Subject: Re: [v6ops] Reachability [was: draft-ietf-v6ops-64share]

From: Ted Lemon <[email-masked]>
Date: Thu, 1 Aug 2013 14:37:22 +0000

On Aug 1, 2013, at 6:56 AM, Brian E Carpenter <[email-masked]> wrote:
> On 31/07/2013 19:57, Ted Lemon wrote:
>> An implicit provisioning domain is one that wasn't specified, but assumed by the host.   A formal provisioning domain is specified by configuration information received from the network. The architecture doc requires that in order for two provisioning domains to be the same, they have to both be formal and be securely validated.
>> 
>> It seems to me that reachability is a property of an advertised prefix, and not of a provisioning domain.   So if you have the same IP address on two interfaces, you have the same prefix, and hence the same reachability, with respect to that prefix.
> 
> Yes, but the problem is that we don't know how to express this, for a scope
> that isn't entirely local or entirely global.
> 
>> Obviously if the reachability isn't the same this will cause problems, but I think that's a configuration error.
> 
> Or a failure to communicate the actual configuration to the recipient
> of the prefix advertisement.

I see your point.

> I guess I'm saying that if we solve this problem only for the case
> of provisioning domains (as defined by MIF), we haven't solved the
> general case (where there may be arbitrary filters or missing
> routes upstream from the various interfaces). It may not even be
> soluble, in which case we'll need happy-eyeballs-like solutions
> for ever.

Well, given that we can't necessarily trust what the PVD is saying to us, that may well be unfixable, but I think I agree with you that there is value in conveying this information. If a PVD claims global reachability but doesn't have it, the application still has to try it if it have no selection mechanism that rejects it.   But if a PVD says "look, you can only reach these prefixes or domains using this PVD," then that certainly eliminates work an application might otherwise have to do.   If it is a trusted PVD, and the application wants to connect to a host knowably reachable in that PVD, it might be able to completely avoid happy eyeballs.